http://honeycode.{region}.amazonaws.com/workbooks/{workbookId}/tables/{tableId}/rows/queryThe QueryTableRows API allows you to use a filter formula to query for specific rows in a table.
<p>The ID of the workbook whose table rows are being queried.</p> <p> If a workbook with the specified id could not be found, this API throws ResourceNotFoundException. </p>
<p>The ID of the table whose rows are being queried.</p> <p> If a table with the specified id could not be found, this API throws ResourceNotFoundException. </p>
Pagination limit
Pagination token
<p> This parameter is optional. If a nextToken is not specified, the API returns the first page of data. </p> <p> Pagination tokens expire after 1 hour. If you use a token that was returned more than an hour back, the API will throw ValidationException. </p>
The maximum number of rows to return in each page of the results.
An object that represents a filter formula along with the id of the context row under which the filter function needs to evaluate.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://honeycode.{region}.amazonaws.com/workbooks/{workbookId}/tables/{tableId}/rows/query' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://honeycode.{region}.amazonaws.com/workbooks/{workbookId}/tables/{tableId}/rows/queryThe QueryTableRows API allows you to use a filter formula to query for specific rows in a table.
<p>The ID of the workbook whose table rows are being queried.</p> <p> If a workbook with the specified id could not be found, this API throws ResourceNotFoundException. </p>
<p>The ID of the table whose rows are being queried.</p> <p> If a table with the specified id could not be found, this API throws ResourceNotFoundException. </p>
Pagination limit
Pagination token
<p> This parameter is optional. If a nextToken is not specified, the API returns the first page of data. </p> <p> Pagination tokens expire after 1 hour. If you use a token that was returned more than an hour back, the API will throw ValidationException. </p>
The maximum number of rows to return in each page of the results.
An object that represents a filter formula along with the id of the context row under which the filter function needs to evaluate.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://honeycode.{region}.amazonaws.com/workbooks/{workbookId}/tables/{tableId}/rows/query' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}